function [J]=clody1(X)
ma=X(1);
ca=X(2);
ka=X(3);
La=X(4);
G2=X(5);

% System
M=2;
K=200;
w=sqrt(K/M);
ccr=2*M*w;
z=0.02;
Cdam=z*ccr;
C1=1;

% Governing matrix
A=[0 1 0 0;-K/M -Cdam/M G2/M 0;0 0 0 1;-La*C1/ma 0 -ka/ma -ca/ma];

% Derivatives
Ap=zeros(4);
Ap(2,1)=-1/M;
[aa,bb]=eig(A);
Lam=diag(bb);
leftT=inv(aa);
der1=diag(leftT*Ap*aa);
D=abs(imag(der1));
DD=max(D)
J=1/DD;